# JSON RPC Relay API

A specification of the Ethereum JSON RPC APIs interface for Hedera clients.

## Websocket Methods

The Hedera JSON-RPC Relay websocket server only handles the following methods:

* [eth\_subscribe](https://docs.validationcloud.io/v1/hedera/json-rpc-relay-api/eth_subscribe)
* [eth\_unsubscribe](https://docs.validationcloud.io/v1/hedera/json-rpc-relay-api/eth_unsubscribe)
* [eth\_chainId](https://docs.validationcloud.io/v1/hedera/json-rpc-relay-api/eth_chainid)

All other methods are only available over HTTPS.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/hedera/json-rpc-relay-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
